<?php

/*
  Created on : Mayo 26, 2019, 01:14:34 PM
  Author     : Gabriel Hernandez Gonzalez
 */
 
	require_once "../core/core_classes.php";
	require_once "../config.php";

	switch (filter_input(INPUT_POST, 'tipoOperacion')) {

		case 'guardar':
			
			$pNidEmpresa = filter_input(INPUT_POST, 'pNidEmpresa');
			$pNidSistema = filter_input(INPUT_POST, 'pNidSistema');
			$pNidCliente = filter_input(INPUT_POST, 'pNidCliente');
			$pUSuario = "1";
			$pComentarios = filter_input(INPUT_POST, 'pComentarios');
			
			// get settings
			$stmt = $conn->prepare("call notascredito_insertar($pNidEmpresa,$pNidSistema,$pNidCliente,'$pUSuario','$pComentarios')");
			$stmt->execute();			
						
			$row = $stmt->fetch(PDO::FETCH_ASSOC);
			$transaccion = $row['Transaccion'];
			$mensaje = $row['Mensaje'];
			$nidNota = $row['NidNota'];

			$response = new root_response;
			$response->transaccion = $transaccion;
			$response->mensaje = $mensaje;
			$response->nid = $nidNota;
			
			echo json_encode($response);
			
			break;
		case 'guardarDetalle':
			
				$vNidNota = filter_input(INPUT_POST, 'vNidNota');
				$pNidEmpresa = filter_input(INPUT_POST, 'pNidEmpresa');
				$pNidSistema = filter_input(INPUT_POST, 'pNidSistema');
				$vNidFactura = filter_input(INPUT_POST, 'vNidFactura');			
				$vNidServicio = filter_input(INPUT_POST, 'vNidServicio');
				$vUuid = filter_input(INPUT_POST, 'vUuid');
				$pTotal = filter_input(INPUT_POST, 'pTotal');
				
				// get settings
				$stmt = $conn->prepare("call notascredito_detalle_insertar($vNidNota,$pNidEmpresa,$pNidSistema,$vNidFactura,$vNidServicio,'$vUuid',$pTotal)");
				$stmt->execute();			
							
				$row = $stmt->fetch(PDO::FETCH_ASSOC);
				$transaccion = $row['Transaccion'];
				$mensaje = $row['Mensaje'];
	
				$response = new root_response;
				$response->transaccion = $transaccion;
				$response->mensaje = $mensaje;
				
				echo json_encode($response);
				
				break;			
				
			case 'guardarRelacionNota':
			
					$pNidEmpresa = filter_input(INPUT_POST, 'pNidEmpresa');
					$pNidSistema = filter_input(INPUT_POST, 'pNidSistema');
					$vNidNota = filter_input(INPUT_POST, 'vNidNota');				
					$vNidFactura = filter_input(INPUT_POST, 'vNidFactura');	
					$vUuid = filter_input(INPUT_POST, 'vUuid');
					
					// get settings
					$stmt = $conn->prepare("call notascredito_relacion_insertar($pNidEmpresa,$pNidSistema,$vNidNota,$vNidFactura,'$vUuid')");
					$stmt->execute();			
								
					$row = $stmt->fetch(PDO::FETCH_ASSOC);
					$transaccion = $row['Transaccion'];
					$mensaje = $row['Mensaje'];
		
					$response = new root_response;
					$response->transaccion = $transaccion;
					$response->mensaje = $mensaje;
					
					echo json_encode($response);
					
					break;
			
		/*case 'actualizar':

			$vNid = filter_input(INPUT_POST, 'vNid');
			$vNidCliente = filter_input(INPUT_POST, 'vNidCliente');
			$vTrbInicial = filter_input(INPUT_POST, 'vTrbInicial');
			$vTrbFinal = filter_input(INPUT_POST, 'vTrbFinal');
			$vCosto = filter_input(INPUT_POST, 'vCosto');
			
			
			// get settings
			$stmt = $conn->prepare("call tarifas_cliente_actualizar($vNid,$vNidCliente,$vTrbInicial,$vTrbFinal,$vCosto)");
			$stmt->execute();			
						
			$row = $stmt->fetch(PDO::FETCH_ASSOC);
			$transaccion = $row['Transaccion'];
			$mensaje = $row['Mensaje'];
			
			$response = new root_response;
			$response->transaccion = $transaccion;
			$response->mensaje = $mensaje;
			
			echo json_encode($response);
			
			break;*/
			
		/*case 'eliminar':

			$pNid = filter_input(INPUT_POST, 'pNid');
			$pActivo = filter_input(INPUT_POST, 'pEstado');
			
			// get settings
			$stmt = $conn->prepare("call tarifas_actualizar_estado($pActivo,$pNid)");
			$stmt->execute();			
						
			$row = $stmt->fetch(PDO::FETCH_ASSOC);
			$transaccion = $row['Transaccion'];
			$mensaje = $row['Mensaje'];
			
			$response = new root_response;
			$response->transaccion = $transaccion;
			$response->mensaje = $mensaje;
			
			echo json_encode($response);
			
			break;	*/		
		case 'consultaXestado':

			$pNidEmpresa = 1;
			$pNidSistema = filter_input(INPUT_POST, 'pTipoSistema');
			$pNidCliente = filter_input(INPUT_POST, 'pNidCliente');
			$pFechaInicio = filter_input(INPUT_POST, 'pFechaInicio');
			$pFechaFin = filter_input(INPUT_POST, 'pFechaFin');
			$pEstado = filter_input(INPUT_POST, 'pEstado');
		
			// get settings
			$stmt = $conn->prepare("call notascredito_consultas($pNidEmpresa,$pNidSistema,$pNidCliente,'$pFechaInicio','$pFechaFin',$pEstado)");
			$stmt->execute();

			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_notacredito();
				$respuesta->nid = $row["IdNota"];
				$respuesta->tipoSistema = $row["TipoSistema"];
				$respuesta->sistema = $row["Sistema"];
				$respuesta->fechaNota = $row["FechaNota"];
				$respuesta->total = $row["Total"];
				$respuesta->idCliente = $row["IdCliente"];
				$respuesta->cliente = $row["NomCliente"];
				$respuesta->folioCfdi = $row["FolioCFDI"];
				$respuesta->impresa = $row["Nota_Impresa"];
			
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;
			
		/*case 'consultaXnid':

			$pNid = filter_input(INPUT_POST, 'pNid');
		
			// get settings
			$stmt = $conn->prepare("call clientes_consulta_Id($pNid)");
			$stmt->execute();	

			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_tarifas();
				$respuesta->nid = $row["IdTarifa"];
				$respuesta->trbInicial = $row["TRB_Ini"];
				$respuesta->trbFinal = $row["TRB_Fin"];
				$respuesta->trbCosto = $row["Precio"];
									
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;*/

		case 'consultaClientes':

				$pSistema = filter_input(INPUT_POST, 'pSistema');
			
				// get settings
				$stmt = $conn->prepare("call clientesConsultar($pSistema)");
				$stmt->execute();	
	
				$response = new root_response;
				while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
				{ 
					$respuesta = new core_cliente();
					$respuesta->nid = $row["nidCliente"];
					$respuesta->rfc = $row["RFC"];
					$respuesta->razonsocial = $row["cliente"];					
										
					$response->datos[] = $respuesta;				
				};
							
				$response->transaccion = "1";
				$response->mensaje = "Ok";
				
				echo json_encode($response);
				
				break;

			case 'consultaFacturas':

					$pSistema = filter_input(INPUT_POST, 'pSistema');
					$pCliente = filter_input(INPUT_POST, 'pCliente');
				
					// get settings
					$stmt = $conn->prepare("call notascredito_facturas_consultas(1,$pSistema,$pCliente)");
					$stmt->execute();	
		
					$response = new root_response;
					while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
					{ 
						$respuesta = new core_lista_facturas();
						$respuesta->idFactura = $row["IdFactura"];
						$respuesta->uuid = $row["UUID"];
						$respuesta->serie = $row["Serie"];
						$respuesta->folioCfdi = $row["folioCFDI"];
																	
						$response->datos[] = $respuesta;				
					};
								
					$response->transaccion = "1";
					$response->mensaje = "Ok";
					
					echo json_encode($response);
					
					break;	
				case 'consultaFacturaServicios':

						$pNidEnpresa = 1;
						$pSistema = filter_input(INPUT_POST, 'pSistema');
						$pCliente = filter_input(INPUT_POST, 'pCliente');
						$pNidFactura = filter_input(INPUT_POST, 'pNidFactura');
					
						// get settings
						$stmt = $conn->prepare("call notascredito_facturas_servicios_consultas($pNidEnpresa,$pSistema,$pCliente,$pNidFactura)");
						$stmt->execute();	
			
						$response = new root_response;
						while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
						{ 
							$respuesta = new core_lista_factura_servicios();
							$respuesta->idServicio = $row["IdServicio"];
							$respuesta->claveServicio = $row["ServicioAmarre"];
							$respuesta->total = $row["Total"];
												
							$response->datos[] = $respuesta;				
						};
									
						$response->transaccion = "1";
						$response->mensaje = "Ok";
						
						echo json_encode($response);
						
						break;				
			
		default:
			echo json_encode(system_get_message(SISTEMA_PARAMETRO_NO_RECONOCIDO));
			break;
	}
        
?>
